## org.eclipse.emf.ecoretools.diagram.ui.outline
Class AbstractDiagramsOutlinePage

    java.lang.Object
      org.eclipse.ui.part.Page
          org.eclipse.emf.ecoretools.diagram.ui.outline.AbstractDiagramsOutlinePage

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.jface.viewers.ISelectionChangedListener, org.eclipse.jface.viewers.ISelectionProvider, org.eclipse.ui.part.IPage, org.eclipse.ui.part.IPageBookViewPage, org.eclipse.ui.views.contentoutline.IContentOutlinePage

    public abstract class AbstractDiagramsOutlinePage

extends org.eclipse.ui.part.Page
implements org.eclipse.ui.views.contentoutline.IContentOutlinePage, org.eclipse.jface.viewers.ISelectionChangedListener, org.eclipse.core.runtime.IAdaptable

Outline of the modeler editor
The outline displays the model tree and the diagrams associated with the model objects.
Double-clicking on a diagram change the active diagram edited by the modeler.

Constructor Summary
`AbstractDiagramsOutlinePage(org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditor ed)` Constructor

Method Summary
`void` `addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)`
`protected void` `createActions()` Add the actions to the view toolbar
`void` `createControl(org.eclipse.swt.widgets.Composite parent)` Creates the contents of the outline
`protected abstract AbstractModelNavigator` `createNavigator(org.eclipse.swt.widgets.Composite parent, org.eclipse.ui.part.IPageSite pageSite)` Create the composite that shows a tree view of the model
`protected org.eclipse.swt.widgets.Composite` `createOverview(org.eclipse.swt.widgets.Composite parent, org.eclipse.gef.editparts.ScalableFreeformRootEditPart rootEditPart)` Create the composite that shows an overview of the model
`void` `dispose()` Releases the objects
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`org.eclipse.swt.widgets.Control` `getControl()`
`protected org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditor` `getEditor()`
`protected abstract java.lang.String` `getEditorID()` Return the Editor ID
`protected abstract org.eclipse.jface.preference.IPreferenceStore` `getPreferenceStore()` Returns the PreferenceStore to use
`org.eclipse.jface.viewers.ISelection` `getSelection()`
`protected void` `handleDoubleClickEvent()` Handles a double click on the outline tree : if the selected element is a diagram, the currently edited diagram is switch in the editor.
`protected void` `hookListeners()` Add listeners on the tree : Listen to simple click (used when "Link with Editor" enabled) Listen to double-click
`void` `init(org.eclipse.ui.part.IPageSite pageSite)`
`void` `removeSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)`
`protected void` `selectAssociatedPartsInEditor()` When the outline is linked with the editor, try to select the graphical occurrence(s) of the selected element(s) in the outline
`void` `selectionChanged(org.eclipse.jface.viewers.SelectionChangedEvent event)` Called when the selection changed in the editor
`void` `setFocus()`
`void` `setSelection(org.eclipse.jface.viewers.ISelection selection)`
`protected void` `unhookListeners()` Stop all the listeners

Methods inherited from class org.eclipse.ui.part.Page
`getSite, makeContributions, setActionBars`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.part.IPage
`setActionBars`

Constructor Detail

### AbstractDiagramsOutlinePage

    public AbstractDiagramsOutlinePage(org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditor ed)

  Constructor

  Parameters:
    `ed` - the editor linked with the outline

Method Detail

### addSelectionChangedListener

    public void addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)

  Specified by:
    `addSelectionChangedListener` in interface `org.eclipse.jface.viewers.ISelectionProvider`
  See Also:
    `ISelectionProvider.addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener)`

### removeSelectionChangedListener

    public void removeSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)

  Specified by:
    `removeSelectionChangedListener` in interface `org.eclipse.jface.viewers.ISelectionProvider`
  See Also:
    `ISelectionProvider.removeSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener)`

### getSelection

    public org.eclipse.jface.viewers.ISelection getSelection()

  Specified by:
    `getSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`
  See Also:
    `ISelectionProvider.getSelection()`

### setSelection

    public void setSelection(org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `setSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`
  See Also:
    `ISelectionProvider.setSelection(org.eclipse.jface.viewers.ISelection)`

### hookListeners

    protected void hookListeners()

  Add listeners on the tree :
  - Listen to simple click (used when "Link with Editor" enabled)
  - Listen to double-click

### handleDoubleClickEvent

    protected void handleDoubleClickEvent()

  Handles a double click on the outline tree : if the selected element is a diagram, the currently edited diagram is switch in the editor.

### selectAssociatedPartsInEditor

    protected void selectAssociatedPartsInEditor()

  When the outline is linked with the editor, try to select the graphical occurrence(s) of the selected element(s) in the outline

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

  Creates the contents of the outline

  Specified by:
    `createControl` in interface `org.eclipse.ui.part.IPage`
  Specified by:
    `createControl` in class `org.eclipse.ui.part.Page`
  See Also:
    `IPage.createControl(org.eclipse.swt.widgets.Composite)`

### createOverview

    protected org.eclipse.swt.widgets.Composite createOverview(org.eclipse.swt.widgets.Composite parent,
                                                               org.eclipse.gef.editparts.ScalableFreeformRootEditPart rootEditPart)

  Create the composite that shows an overview of the model

  Parameters:
    `parent` - the parent
    `rootEditPart` - the root edit part
  Returns:
    the overview composite

### createActions

    protected void createActions()

  Add the actions to the view toolbar

### getControl

    public org.eclipse.swt.widgets.Control getControl()

  Specified by:
    `getControl` in interface `org.eclipse.ui.part.IPage`
  Specified by:
    `getControl` in class `org.eclipse.ui.part.Page`
  See Also:
    `IPage.getControl()`

### init

    public void init(org.eclipse.ui.part.IPageSite pageSite)

  Specified by:
    `init` in interface `org.eclipse.ui.part.IPageBookViewPage`
  Overrides:
    `init` in class `org.eclipse.ui.part.Page`
  See Also:
    `Page.init(org.eclipse.ui.part.IPageSite)`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
  See Also:
    `IAdaptable.getAdapter(java.lang.Class)`

### setFocus

    public void setFocus()

  Specified by:
    `setFocus` in interface `org.eclipse.ui.part.IPage`
  Specified by:
    `setFocus` in class `org.eclipse.ui.part.Page`
  See Also:
    `IPage.setFocus()`

### selectionChanged

    public void selectionChanged(org.eclipse.jface.viewers.SelectionChangedEvent event)

  Called when the selection changed in the editor

  Specified by:
    `selectionChanged` in interface `org.eclipse.jface.viewers.ISelectionChangedListener`
  See Also:
    `ISelectionChangedListener.selectionChanged(org.eclipse.jface.viewers.SelectionChangedEvent)`

### dispose

    public void dispose()

  Releases the objects

  Specified by:
    `dispose` in interface `org.eclipse.ui.part.IPage`
  Overrides:
    `dispose` in class `org.eclipse.ui.part.Page`
  See Also:
    `IPage.dispose()`

### unhookListeners

    protected void unhookListeners()

  Stop all the listeners

### getEditor

    protected org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditor getEditor()

  Returns:
    the editor

### createNavigator

    protected abstract AbstractModelNavigator createNavigator(org.eclipse.swt.widgets.Composite parent,
                                                              org.eclipse.ui.part.IPageSite pageSite)

  Create the composite that shows a tree view of the model

  Parameters:
    `parent` - the parent composite
    `pageSite` - the IPageSite
  Returns:
    the navigation composite

### getPreferenceStore

    protected abstract org.eclipse.jface.preference.IPreferenceStore getPreferenceStore()

  Returns the PreferenceStore to use

  Returns:
    IPreferenceStore

### getEditorID

    protected abstract java.lang.String getEditorID()

  Return the Editor ID

  Returns:
    String the editor ID

Copyright 2007 Anyware Technologies. All Rights Reserved.